<x-default-layout>
    @php
        $route = explode('.', Route::currentRouteName());
    @endphp
    <!--begin::Card-->


    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}" />

    @push('styles')
    <!-- Bootstrap CSS -->

    @endpush

    	<body id="kt_body" class="app-blank app-blank bgi-size-cover bgi-position-center bgi-no-repeat">
		<!--begin::Theme mode setup on page load-->
		<script>var defaultThemeMode = "light"; var themeMode; if ( document.documentElement ) { if ( document.documentElement.hasAttribute("data-theme-mode")) { themeMode = document.documentElement.getAttribute("data-theme-mode"); } else { if ( localStorage.getItem("data-theme") !== null ) { themeMode = localStorage.getItem("data-theme"); } else { themeMode = defaultThemeMode; } } if (themeMode === "system") { themeMode = window.matchMedia("(prefers-color-scheme: dark)").matches ? "dark" : "light"; } document.documentElement.setAttribute("data-theme", themeMode); }</script>
		<!--end::Theme mode setup on page load-->
		<!--begin::Root-->
		<div class="d-flex flex-column flex-root" id="kt_app_root">
			<!--begin::Page bg image-->
			<style>body { background-image: url('assets/media/auth/bg7.jpg'); } [data-theme="dark"] body { background-image: url('assets/media/auth/bg7-dark.jpg'); }</style>
			<!--end::Page bg image-->
			<!--begin::Authentication - Signup Welcome Message -->
			<div class="d-flex flex-column flex-center flex-column-fluid">
				<!--begin::Content-->
				<div class="d-flex flex-column flex-center text-center p-10">
					<!--begin::Wrapper-->
					<div class="card card-flush w-lg-650px py-5">
						<div class="card-body py-15 py-lg-20">
							<!--begin::Title-->
							<h1 class="fw-bolder fs-2qx text-gray-900 mb-4">System Error</h1>
							<!--end::Title-->
							<!--begin::Text-->
							<div class="fw-semibold fs-6 text-gray-500 mb-7">Terjadi kesalahan ! Coba beberapa saat lagi.</div>
							<!--end::Text-->
							<!--begin::Illustration-->
							<div class="mb-11">
								<img src="{{ image('auth/500-error.png') }}" class="mw-100 mh-300px theme-light-show" alt="" />
								<img src="{{ image('auth/500-error-dark.png') }}" class="mw-100 mh-300px theme-dark-show" alt="" />
							</div>
							<!--end::Illustration-->
							<!--begin::Link-->
							<div class="mb-0">
								<a href="{{ route('konfirmasibank.index') }}" class="btn btn-sm btn-primary">Kembali Ke Halaman Utama</a>
							</div>
							<!--end::Link-->
						</div>
					</div>
					<!--end::Wrapper-->
				</div>
				<!--end::Content-->
			</div>
			<!--end::Authentication - Signup Welcome Message-->
		</div>
		<script src="assets/plugins/global/plugins.bundle.js"></script>
		<script src="assets/js/scripts.bundle.js"></script>
	</body>

    @push('customscript')
        <!-- jQuery -->


        <script>
            $(function() {
                $('.mycheck').hide();
                $('#cif_null').hide();
                var pasYear = $('#pastYear').val();
                var currentYear = $('#currentYear').val();


                $('.datepicker').flatpickr({
                     dateFormat: "d-m-Y",
                     minDate: pasYear,
                     maxDate: currentYear
                })

                $("#myForm").submit(function (event) {
                    event.preventDefault(); // Prevent the form from submitting normally
                     if ($("#cif").val() === "") {
                        alert("Nomor CIF harus diisi.");
                        return; // Stop form submission
                    }
                    if ($("#startDate").val() === "") {
                        alert("Tanggal mulai harus diisi.");
                        return; // Stop form submission
                    }

                    if ($("#endtDate").val() === "") {
                        alert("Tanggal selesai harus diisi.");
                        return; // Stop form submission
                    }



                    $('.row-none').hide();
                    $('.mycheck').show();
                    $('.firstrow').remove();
                    $('.secondrow').remove();
                    $('.loading1').show();
                    var actionUrl = $(".form_customer3").attr('action');
                    var cif = $("input[name=cif]").val();
                    var kodecabang = $("input[name=kodecabang]").val();
                    var periode = $("input[name=periode]").val();
                    var startDate = $("input[name=startDate]").val();
                    var endDate = $("input[name=endDate]").val();
                    $("input[name=cus_no_fasilitas]").val(cif);
                    $("input[name=cus_no]").val(cif);
                    $("input[name=kode_cabang]").val(kodecabang);


                    var no = 1;

                    $.ajax({
                        url: "{{ route('getData') }}",
                        type: "GET",
                        data: $(this).serialize(),
                        dataType: "json",
                        success: function (items) {
                            $('.loading1').hide();
                            let dateString ='';
                            $.each(items, function(i, index) {
                                $('#dataBody').append('<tr class="secondrow"><td>' + (
                                        no++) +
                                    '</td><td>' + items[i]['ACCOUNT_NUMBER'] +
                                    '</td><td>' + items[i]['COMPANY_NAME'] +
                                    '</td><td>' + items[i]['SHORT_NAME'] +
                                    '</td><td style="text-align:right">' + items[i]['WORKING_BALANCE'] +
                                    // '</td><td>' + items[i]['PRODUCT'] +
                                    '</td><td style="text-align:center">' + items[i]['CURRENCY'] + '</td>'+
                                    '<td class="tes">'+
                                        '<div style="padding-left:22px" class="form-check form-check-custom form-check-solid me-10">'+'<input class=" form-check-input h-20px w-20px checkbox-item" type="checkbox" name="account_number" value="' + items[i]['ACCOUNT_NUMBER'] + '"></div>'+
                                    '</td>'+
                                    '</tr>'
                                );
                            });

                            $(".fasilitasButton").show();
                            var kdcabang = $("#kodecabang").val();
                            $("#company_name").val(kdcabang);
                            $("input[name=startDateFasilitas]").val(startDate);
                            $("input[name=endDateFasilitas]").val(endDate);
                            $("input[name=cusFasilitas]").val(cif);
                            $(".selected-values").val('');

                            $('#cusNo').val();
                            $('#accNo').val();
                            $('#cabang').val();

                            $('.exportButton').hide();
                            $('#buttonPostInfoSurat').hide();
                            $('#selectAll').prop('checked', false);;

                        },
                        error: function (error) {
                            console.error("Form submission failed!");
                            // Handle the error if needed
                        }
                    });

                });

                function currency(params) {
                    params.maskMoney({
                    prefix: 'Rp ',
                    thousands: '.',
                    decimal: ',',
                    precision: 0, // ubah ke 2 jika ingin menampilkan desimal
                    allowNegative: false // ubah ke true jika ingin mengizinkan angka negatif
                    });
                }

                 var accNumbers = [];
                 $('#selectAll').change(function() {
                    $('.exportPdf').show();
                    $('.checkbox-item').prop('checked', $(this).prop('checked'));
                      //Get Value Account Number
                    if ( $(this).prop('checked')) {
                        accNumbers.splice(0, accNumbers.length);
                        $.each($(".checkbox-item:checked"), function() {
                            accNumbers.push($(this).val());
                            $("input[name=acc_no]").val(accNumbers)
                        });
                    } else {
                        accNumbers.splice(0, accNumbers.length);
                        $("input[type=checkbox]").prop('checked', false);
                        $.each($("input[name='account_number']"), function() {
                           // arr.push($(this).val());
                            $("input[name=acc_no]").val('')
                        });
                    }

                });

               // var selectedValues = [];
                $('#table4 tbody').on('change', 'tr td.tes input[type=checkbox]', function() {
                     $('.exportPdf').show();

                    if (!$(this).prop('checked')) {
                         accNumbers.splice(0, accNumbers.length);
                        $('#selectAll').prop('checked', false);
                        //$(this).val('');

                        $.each($(".checkbox-item:checked"), function() {
                            accNumbers.push($(this).val());
                            $("input[name=acc_no]").val(accNumbers)
                        });

                    } else {
                         accNumbers.splice(0, accNumbers.length);
                         $.each($(".checkbox-item:checked"), function() {
                            accNumbers.push($(this).val());
                            $("input[name=acc_no]").val(accNumbers)
                        });
                        // Periksa apakah semua checkbox item sudah di-check, jika ya, centang checkbox all
                        if ($('.checkbox-item:checked').length === $('.checkbox-item').length) {
                            $('#selectAll').prop('checked', true);

                        }
                    }
                });


                // Open the modal when the button is clicked
                $("#openModalBtn").click(function() {
                    $("#myModal").modal('show');
                });

                // Handle form submission when the "Submit" button is clicked
                $("#submitFormBtn").click(function() {
                    var formData = $("#myForm2").serialize();
                    console.log(formData);
                    $("#myModal").modal('hide');
                });

                $("#cancelBtn").click(function() {
                    $("#myModal").modal('hide');
                });

                $(".closeButtonSigner").click(function() {
                    $("#signerModal").modal('hide');
                });

                //submit signer
                $("#buttonPostInfoSurat").click(function(){
                    $("#signerModal").modal('show');

                })

                 //submit signer
                // $("#exportButton").click(function(){
                //     $("#signerModal").modal('show');

                // })

                // Handle form submission when the "Submit" button inside the modal is clicked
                $("#submitInfoSurat").click(function(e) {
                    e.preventDefault();
                    var cif = $('input[name="cus_no"]').val();
                    var cabang = $('input[name="kode_cabang"]').val();
                    var startDate = $('input[name="startDate"]').val();
                    var endDate = $('input[name="endDate"]').val();
                    var acc_no = $('input[name="acc_no"]').val();
                    var no_req_surat = $('input[name="no_req_surat"]').val();
                    var no_surat = $('input[name="no_surat"]').val();
                    var tgl_req_surat = $('input[name="tgl_req_surat"]').val();
                    var email = $('input[name="email"]').val();
                    var tlp = $('input[name="tlp"]').val();
                    var nama_tujuan = $('input[name="nama_tujuan"]').val();
                    var alamat =  $.trim($("#alamat").val());
                    var signer = $("#signer-select").find('option:selected').val();

                    $("#signerModal").modal('hide');
                 //   $('.modalSpiner').modal('show');
                    var dt = new Date();
                    var date = dt.getYear() + ":" + dt.getDate() + ":" + dt.getHours();

                   // var formData = $("#formSigner").serialize();
                    var dataToSend = {
                            _token: $('meta[name="csrf-token"]').attr('content'),
                            cus_no: cif,
                            kode_cabang: cabang,
                            startDate:startDate,
                            endDate:endDate,
                            acc_no:acc_no,
                            signer:signer,
                            no_req_surat:no_req_surat,
                            no_surat:no_surat,
                            tgl_req_surat:tgl_req_surat,
                            email:email,
                            tlp:tlp,
                            nama_tujuan:nama_tujuan,
                            alamat:alamat

                        };


                        $.ajax({
                        type: "POST",
                        url: "{{ route('konfirmasibank.postInfoSurat') }}",
                        data: dataToSend, // serializes the form's elements.
                        dataType: 'json', // Mengatur tipe data yang diharapkan dari respons
                        success: function(data) {
                             //   $('.modalSpiner').modal('hide');
                           // Create a Blob from the response data
                                $('#cusNo').val(cif);
                                $('input[name="email"]').val();
                                $('#accNo').val(acc_no);
                                $('#cabang').val(cabang);
                                $('#startDate2').val(startDate);
                                $('#signerId').val(signer);
                                //  location.reload();
                                $('.exportButton').show();
                                //$('#signerModal')[0].reset();
                                toastr.success(data.message);
                        },
                        error: function(data, textStatus, errorThrown) {
                            $('.modalSpiner').modal('hide');
                            var errors = data.responseJSON.errors;
                            $.each(errors, function(key, value) {
                                toastr.error(value);
                            });
                        }
                        });
                });
            });


        </script>
    @endpush
</x-default-layout>
