<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Export Konfrimasi Bank</title>
<style>
    @page {
            margin-top: 3.5cm;
            margin-right: 1.5cm;
            margin-left: 1.5cm;
            margin-bottom: 2cm;
        }



    .text-center{
        text-align: center;
    }

     .text-right{
        text-align: right;
    }

    ul.no-bullets {
        list-style-type: none;
        margin: 0;
        padding: 0;
        font-family: Arial, sans-serif;
        font-size: 12px; /* Ukuran font dalam piksel */
    }

    p{
        font-family: Arial, sans-serif;
        font-size: 12px; /* Ukuran font dalam piksel */
    }

  .no-border-table {
      border-collapse: collapse;
   }

   .no-border-table,
   .no-border-table th,
   .no-border-table td,
   .no-border-table tr {
      border: none;
   }

   .space1 {
      border: 1px solid black;
      border-collapse: collapse;
      font-size: 12px;
      padding: 1px;

   }


    #footer {
        position: fixed;
        left: 20px;
        bottom: 0;
        text-align: center;
    }

    #footer .page:after {
        content: counter(page);
    }






    /* .header {

        position: fixed;
        top: -60px;
        left: 0px;
        right: 0px;
        height: 50px;
        font-size: 20px !important;dsdas
        background-color: #000;
        color: white;
        text-align: center;
        line-height: 35px;
    } */

    /* Hide header on first page */
    /* body:nth-child(1) .header {
    display: none;
    } */
/*
    .pagenum:before {
        content: counter(page);
    } */

    /* .flyleaf {
        page-break-after: always;
    } */



</style>

</head>
<body>
    <main>
        <ul class="no-bullets">
            <li>Nomor &nbsp; :  {{$data['infoSuratNew']['no_surat']}}</li>
            <li>Tanggal : {{ $data['today'] }}</li>
        </ul><br>
        <ul  class="no-bullets">
             <table style="width:100%;border: none !important" class="space1 " >
                <tr>
                    <td style="width:50%">Kepada Yth</td>
                </tr>
                <tr>
                    <td style="width:50%">{{$data['infoSuratNew']['nama_tujuan']}}</td>
                </tr>
                <tr>
                    <td style="width:50%">{{$data['infoSuratNew']['alamat']}}</td>
                </tr>
                <tr >
                    <td style="width:50%">Email : {{$data['infoSuratNew']['email']}}</td>
                </tr>
                <tr >
                    <td style="width:50%">Telp : {{$data['infoSuratNew']['tlp']}}</td>
                </tr>
            </table>
        </ul><br>
            <ul class="no-bullets">
            <li> Sesuai dengan surat saudara Nomor {{$data['infoSuratNew']['no_req_surat']}} tanggal {{ Carbon\Carbon::parse($data['infoSuratNew']['tgl_req_surat'])->locale('id')->isoFormat('DD MMMM YYYY') }}  dengan ini kami sampaikan data – data nasabah sesuai permintaan saudara sebagai berikut : </li><br>
            <li>Nama Nasabah : {{$data['DataCustomer']->SHORT_NAME}}</li>
            <li>Nomor CIF &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; : {{$data['DataCustomer']->CUSTOMER_NO}}</li>
        </ul><br>
            <ul class="no-bullets">
            <li>SIMPANAN NASABAH YANG BERSANGKUTAN PADA BANK</li>
            <li>POSISI : {{ $data['localDate'] }} </li>
        </ul>

        <table style="width:100%;" class="space1 " >
        <thead style="background-color: dimgrey" >
            <tr>
                <th class="text-center space1" style="width:5%">No</th>
                <th class="text-center space1" style="width:21%">Jenis Rekening</th>
                <th class="text-center space1" style="width:12%">Tgl Realisasi</th>
                <th class="text-center space1" style="width:7%">Mata Uang</th>
                <th class="text-center space1" style="width:16%">Saldo</th>
                <th class="text-center space1" style="width:10%">Jangka Waktu</th>
                <th class="text-center space1" style="width:8%">Suku Bunga</th>
                <th class="text-center space1" style="width:11%">Tgl Jatuh Tempo</th>
                <th class="text-center space1" style="width:10%">Keterangan</th>
            </tr>
        </thead>
        <tbody>
                @if (count($data['DataAccounts'])>0 )
                    @php
                        $i=1

                    @endphp
                    @foreach ($data['DataAccounts'] as $val)
                        <tr class="space1">
                            <td class="text-center  space1">{{ $i++ }}</td>
                            <td class="text-left space1">{{ $val['SHORT_NAME'] }}</td>
                            <td class=" text-center space1"></td>
                            <td class=" text-center space1">{{ $val['CURRENCY'] }}</td>
                            <td class=" text-right space1">{{ $val['WORKING_BALANCE'] }}</td>
                            <td class="text-center space1 ">{{ $val['TERM'] }}</td>
                            <td class="text-center space1 ">{{ $val['FIXED_RATE'] }}</td>
                            <td class="text-center space1 ">{{ $val['MATURITY_DATE'] }}</td>
                            <td class="text-center space1">{{ $val['ACCOUNT_NUMBER'] }}</td>
                        </tr>
                    @endforeach

                    @if (count( $data['DataDepo']) > 0)

                        @php
                            $noDepo = 0;
                            if (count( $data['DataAccounts']) > 0) {
                                $noDepo = count($data['DataAccounts']) + 1 ;
                            }else{
                                $noDepo = 1 ;
                            }
                        @endphp
                                @foreach ($data['DataDepo'] as $keyDep => $depo)
                            <tr class="space1">
                                <td class="text-center space1">{{ $noDepo++ }}</td>
                                <td class="space1">DEPOSITO</td>
                                <td class="text-center space1 "></td>
                                <td class="text-center space1">{{ $depo['CURRENCY'] }}</td>
                                <td class="text-right space1">{{$depo['WORKING_BALANCE']}}</td>
                                <td class="text-center space1">{{ $depo['TERM'] }} BLN</td>
                                <td class="text-center space1">{{ $depo['FIXED_RATE'] }} %</td>
                                <td class="text-center space1">{{  $depo['MATURITY_DATE'] }}</td>
                                <td class="text-center space1">{{  $depo['ACCOUNT_NUMBER'] }}</td>
                            </tr>
                        @endforeach

                    @else
                        @php
                            $no= count($data['DataAccounts']);
                        @endphp
                        <tr class="space1">
                            <td class="text-center  space1">{{ $no+1 }}</td>
                            <td class="text-left space1">DEPOSITO</td>
                            <td class=" text-center space1"></td>
                            <td class=" text-center space1"></td>
                            <td class=" text-center space1">NIHIL</td>
                            <td class="text-center space1 "></td>
                            <td class="text-center space1 "></td>
                            <td class="text-center space1 "></td>
                            <td class="text-center space1"></td>
                        </tr>
                    @endif


                    {{-- @if ($data['dataAADepo'] == null)
                            @php
                                $no= count($data['DataAccounts']);
                            @endphp
                            <tr class="space1">
                            <td class="text-center  space1">{{ $no+1 }}</td>
                            <td class="text-left space1">DEPOSITO</td>
                            <td class=" text-center space1"></td>
                            <td class=" text-center space1"></td>
                            <td class=" text-center space1">NIHIL</td>
                            <td class="text-center space1 "></td>
                            <td class="text-center space1 "></td>
                            <td class="text-center space1 "></td>
                            <td class="text-center space1"></td>

                        </tr>
                    @endif --}}

                @else
                         <tr class="">
                            <td class="space1" colspan="9" style="text-align: center;">NIHIL</td>
                        </tr>
                @endif
            <!-- Add more rows here if needed -->
        </tbody>
        </table><br>
        <ul class="no-bullets">
                <li>PINJAMAN YANG DIBERIKAN OLEH BANK KEPADA NASABAH</li>
                <li>POSISI : {{ $data['localDate'] }} </li>
            </ul>
            <table class="space1" style="width:100%; page-break-inside: avoid;">
                <thead style="background-color: dimgrey">
                    <tr class="space1">
                        <th class="text-center space1" style="width:5%">No</th>
                        <th class="text-center space1" style="width:21%">Jenis Rekening</th>
                        <th class="text-center space1" style="width:12%">Tgl Realisasi</th>
                        <th class="text-center space1" style="width:7%">Mata Uang</th>
                        <th class="text-center space1" style="width:16%">Saldo</th>
                        <th class="text-center space1" style="width:10%">Jangka Waktu</th>
                        <th class="text-center space1" style="width:8%">Suku Bunga</th>
                        <th class="text-center space1" style="width:11%">Tgl Jatuh Tempo</th>
                        <th class="text-center space1" style="width:10%">Keterangan</th>
                    </tr>
                </thead>
                <tbody style="page-break-inside: avoid;">
                    @if (count($data['DataPinjaman'])>0 OR count($data['DataRK'])>0 OR $data['totalOutstanding'] != 'NIHIL' )
                        @if (count($data['DataPinjaman'])>0)
                        @php $i=1;
                        $saldo = '';
                        @endphp
                            @foreach ($data['DataPinjaman'] as $key1 => $pinjaman)
                                <tr class="space1">
                                    <td class="text-center space1">{{ $i++ }}</td>
                                    <td class="space1">{{ $pinjaman['PRODUCT'] }}</td>
                                    <td class="text-center space1 "></td>
                                    <td class="text-center space1">{{ $pinjaman['CURRENCY'] }}</td>
                                    <td class="text-right space1">{{$pinjaman['WORKING_BALANCE']}}</td>
                                    <td class="text-center space1">{{ $pinjaman['TERM'] }} BLN</td>
                                    <td class="text-center space1">{{ $pinjaman['FIXED_RATE'] }} %</td>
                                    <td class="text-center space1">{{  $pinjaman['MATURITY_DATE'] }}</td>
                                    <td class="text-center space1">{{  $pinjaman['ACCOUNT_NUMBER'] }}</td>
                                </tr>
                            @endforeach
                        @endif

                        @if (count($data['DataRK']) > 0)
                            @php
                            $no = 0;
                            if (count( $data['DataPinjaman']) > 0) {
                                $no = count($data['DataPinjaman']) + 1 ;
                            }else{
                                $no = 1 ;
                            }
                            @endphp

                            @foreach ($data['DataRK'] as $rk => $dtRK)
                                <tr class="space1">
                                    <td class="text-center space1">{{ $no++ }}</td>
                                    <td class="space1">{{ $dtRK['SHORT_NAME'] }}</td>
                                    <td class="text-center space1 "></td>
                                    <td class="text-center space1">{{ $dtRK['CURRENCY'] }}</td>
                                    <td class="text-right space1">{{$dtRK['WORKING_BALANCE']}}</td>
                                    <td class="text-center space1">{{$dtRK['TERM']}} BLN</td>
                                    <td class="text-center space1">{{$dtRK['FIXED_RATE']}} %</td>
                                    <td class="text-center space1">{{$dtRK['MATURITY_DATE']}}</td>
                                    <td class="text-center space1">{{  $dtRK['ACCOUNT_NUMBER'] }}</td>
                                </tr>
                            @endforeach
                        @endif

                        @if ($data['totalOutstanding'] != 'NIHIL')
                            @php
                            $no = 0;
                            if (count( $data['DataPinjaman']) > 0) {
                                $no = count($data['DataPinjaman']) + 1 ;
                            }else if(count( $data['DataRK']) > 0){
                                $no = count($data['DataRK']) + 1 ;
                            }else{
                                $no = 1;
                            }
                            @endphp
                              <tr class="space1">
                                    <td class="text-center space1">{{ $no++ }}</td>
                                    <td class="space1">ANJAK PIUTANG</td>
                                    <td class="text-center space1 "></td>
                                    <td class="text-center space1">{{$data['loanCcy']}}</td>
                                    <td class="text-right space1">{{$data['totalOutstanding']}}</td>
                                    <td class="text-center space1"></td>
                                    <td class="text-center space1"></td>
                                    <td class="text-center space1"></td>
                                    <td class="text-center space1"></td>
                                </tr>

                        @endif
                    @else
                    <tr class="space1">
                         <td class="space1" colspan="9" style="text-align: center;">NIHIL</td>
                    </tr>
                    @endif
                </tbody>
            </table><br>
            <ul class="no-bullets" style="page-break-inside: avoid;">
                <li>FASILITAS LAIN YANG DITERIMA OLEH NASABAH</li>
                <li>POSISI : {{ $data['localDate'] }} </li>
            </ul>
            <table class="space1"style="width:100%; page-break-inside: avoid;">
                <thead style="background-color: dimgrey">
                    <tr class="space1">
                        <th class="text-center space1" style="width:5%">No</th>
                        <th class="text-center space1" style="width:21%">Jenis Rekening</th>
                        <th class="text-center space1" style="width:12%">Tgl Realisasi</th>
                        <th class="text-center space1" style="width:7%">Mata Uang</th>
                        <th class="text-center space1" style="width:16%">Saldo</th>
                        <th class="text-center space1" style="width:10%">Jangka Waktu</th>
                        <th class="text-center space1" style="width:8%">Suku Bunga</th>
                        <th class="text-center space1" style="width:11%">Tgl Jatuh Tempo</th>
                        <th class="text-center space1" style="width:10%">Keterangan</th>
                    </tr>
                </thead>
                <tbody style="page-break-inside: avoid;">
                    @if (count($data['DataFasilitas']) > 0 )
                         @php
                            $no = 0;
                            if (count( $data['DataLimit']) > 0) {
                                $no = count($data['DataLimit']) + 1 ;
                            }else{
                                $no = 1 ;
                            }
                        @endphp

                        @foreach ($data['DataFasilitas'] as $fasilitas)
                            <tr class="space1">
                                <td class="text-center space1">{{ $no++ }}</td>
                                <td class="space1">{{ $fasilitas['jenis_fasilitas'] }}</td>
                                <td class="text-center space1"></td>
                                    {{-- <td class="text-center space1">{{ \Carbon\Carbon::parse($fasilitas->start_date)->format('d-m-Y') }}</td> --}}
                                <td class="text-center space1">{{ $fasilitas['mata_uang'] }}</td>
                                <td class="space1 text-right"> {{ $fasilitas['saldo']}}</td></td>
                                <td class="text-center space1 ">{{ $fasilitas['jangka_waktu'] }}</td>
                                <td class="text-center space1">{{ $fasilitas['fixed_rate'] }} %</td>
                                <td class="text-center space1">{{  \Carbon\Carbon::parse($fasilitas['due_date'])->format('d-m-Y') }}</td>
                                <td class="text-center space1">{{ $fasilitas['nomor_rekening'] }}</td>
                            </tr>
                        @endforeach
                    @else
                        <tr class="space1">
                            <td class="space1" colspan="9" style="text-align: center;">NIHIL</td>
                        </tr>
                    @endif
                </tbody>
            </table><br>

            <p>Demikian data ini kami sampaikan agar dapat digunakan sebagaimana mestinya</p> <br><br><br><br>

            <div style="width:300px" class>
                <table style="width:100%;" class="">
                <table style="width:100%;" class=" no-border-table">
                    <td class="space1" style="width:20%;font-size:12px;border:none">
                        <ul class="no-bullets">
                            <li>{{ $data['DataSigner'][0]['deputy_director_name'] }}</li>
                            <li>Deputy Director</li>
                        </ul>
                    </td>
                    <td class="space1" style="width:30%;font-size:12px;border:none;">
                        <ul class="no-bullets" style="margin-left: 50px">
                            <li>{{ $data['DataSigner'][0]['executive_officer_name'] }}</li>
                            <li>Executive Officer</li>
                        </ul>
                    </td>
                    </tr>
                </table>
            </div>
        </main>

    </body>

</html>
